<ion-content>
    <div class="login">
        <div>
            <!-- TITLE -->
            <ion-grid class="has-background-primary-fade ion-padding">
                <!-- Logo -->
                <ion-row class="ion-justify-content-center mb-16 mt-32">
                    <ion-col sizeXs="6" sizeMd="3">
                        <app-img
                            src="assets/img/logo_full.svg"
                            alt="Idermato"
                            title="Idermato"
                            [errorSrc]="cardMedia"
                        >
                        </app-img>
                    </ion-col>
                </ion-row>
                <!-- Sign in/ Sign up -->
                <ion-row
                    class="ion-justify-content-center ion-padding-vertical size-20 has-text-secondary"
                >
                    <ion-col size="auto" class="is-white">
                        <app-link
                            [isActive]="true"
                            link="/login"
                            name="Se connecter"
                        ></app-link>
                    </ion-col>
                    <ion-col class="ion-margin-horizontal" size="auto">
                        <ion-label>|</ion-label>
                    </ion-col>
                    <ion-col size="auto" class="is-green-dark">
                        <app-link
                            link="/register"
                            name="S'inscrire"
                            data-testid="register"
                        ></app-link>
                    </ion-col>
                </ion-row>
            </ion-grid>
            <ion-row class="ion-justify-content-center">
                <ion-col
                    size="1"
                    class="login__decoration ion-no-padding height-22 has-background-primary-fade border-top-2 border-top-primary-fade border-right-2 border-right-primary-fade"
                >
                </ion-col>
                <ion-col size="11" class="ion-no-padding">
                    <!-- Form -->
                    <ion-row
                        class="login__form ion-padding-bottom size-20 has-text-secondary"
                    >
                        <ion-col class="pt-0 pl-0 pr-15 mr-16">
                            <form
                                [formGroup]="loginForm"
                                (ngSubmit)="onSubmit()"
                            >
                                <ion-grid
                                    class="login__form__fields has-background-white radius-30 radius-tl-0 border-1 border-solid has-border-primary py-45 px-15 size-12"
                                >
                                    <!-- Email -->
                                    <app-input-text
                                        data-testid="email"
                                        [control]="loginForm"
                                        name="email"
                                        iconName="mail-outline"
                                        placeholder="Email"
                                        [errorMessages]="[errors.email]"
                                        [validators]="emailValidators"
                                        data-testid="email"
                                    >
                                    </app-input-text>

                                    <!-- Password -->
                                    <div class="mt-15">
                                        <app-input-text
                                            data-testid="password"
                                            [control]="loginForm"
                                            name="password"
                                            iconName="lock-closed-outline"
                                            [actionName]="inputType === 'password' ? 'eye-outline' : 'eye-off-outline'"
                                            [inputType]="inputType"
                                            placeholder="Mot de passe"
                                            [errorMessages]="[errors.required, errors.noSpace, errors.password]"
                                            [validators]="passwordValidators"
                                            (action)="toggleShowPassword()"
                                            data-testid="password"
                                        >
                                        </app-input-text>
                                    </div>
                                    <!-- Error message -->
                                    <div
                                        class="ion-text-center size-10 mt-4"
                                        data-testid="submit-error"
                                    >
                                        <ion-text color="danger">
                                            {{error.value}}
                                        </ion-text>
                                    </div>
                                </ion-grid>
                                <!-- Forgot password -->
                                <div class="mt-5 ml-21">
                                    <a
                                        routerLink="/forgot-password"
                                        class="size-12 is-medium"
                                    >
                                        <span
                                            class="border-bottom-1 pb-8 border-top-0 border-left-0 border-right-0 border-solid has-border-medium"
                                        >
                                            Mot de passe ou</span
                                        >blié?
                                    </a>
                                </div>
                                <!-- Add a button to trigger the sign-in action -->
                                <ion-row
                                    class="ion-justify-content-center mt-25 weight-500"
                                >
                                    <ion-col
                                        size="5.5"
                                        class="is-white ion-no-padding pt-10"
                                    >
                                        <app-button
                                            data-testid="login"
                                            title="Connexion"
                                            [loading]="loading"
                                            (click)="onSubmit()"
                                            (keyPress)="onSubmit()"
                                            [disabled]="!loginForm.valid"
                                            icon="arrow-forward-outline"
                                            shape="round"
                                            expand="full"
                                            data-testid="login"
                                        >
                                        </app-button>
                                    </ion-col>
                                </ion-row>
                            </form>
                        </ion-col>
                    </ion-row>
                </ion-col>
            </ion-row>
        </div>
        <!-- Sign up -->
        <div
            class="login__signup ion-justify-content-center ion-align-items-center mt-20"
        >
            <ion-text class="weight-400 size-12" color="pale-grey-thin">
                Pas de compte ?
                <a routerLink="/register" color="primary"> Inscrivez-vous </a>
            </ion-text>
        </div>
    </div>
    <!-- NotAvailableServiceComponent  -->
    <ion-popover [isOpen]="isServiceAvailable">
        <ng-template>
            <app-not-available-service></app-not-available-service>
        </ng-template>
    </ion-popover>
</ion-content>
